/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model267
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model267 {
  @SerializedName("title")
  private String title = null;

  @SerializedName("last_name")
  private String lastName = null;

  @SerializedName("first_name")
  private String firstName = null;

  @SerializedName("address")
  private String address = null;

  @SerializedName("postal_code")
  private String postalCode = null;

  @SerializedName("city")
  private String city = null;

  @SerializedName("country")
  private String country = null;

  @SerializedName("phone_number")
  private String phoneNumber = null;

  @SerializedName("mobile_phone_number")
  private String mobilePhoneNumber = null;

  @SerializedName("email")
  private String email = null;

  public Model267 title(String title) {
    this.title = title;
    return this;
  }

   /**
   * Contact&#39;s title. Expected values (MR, MRS, MISS, DR, PR)
   * @return title
  **/
  @ApiModelProperty(example = "MR", value = "Contact's title. Expected values (MR, MRS, MISS, DR, PR)")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public Model267 lastName(String lastName) {
    this.lastName = lastName;
    return this;
  }

   /**
   * Contact&#39;s last name
   * @return lastName
  **/
  @ApiModelProperty(example = "Doe", value = "Contact's last name")
  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public Model267 firstName(String firstName) {
    this.firstName = firstName;
    return this;
  }

   /**
   * Contact&#39;s first name
   * @return firstName
  **/
  @ApiModelProperty(example = "John", value = "Contact's first name")
  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public Model267 address(String address) {
    this.address = address;
    return this;
  }

   /**
   * Contact&#39;s complete address
   * @return address
  **/
  @ApiModelProperty(example = "dummy address", value = "Contact's complete address")
  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public Model267 postalCode(String postalCode) {
    this.postalCode = postalCode;
    return this;
  }

   /**
   * Contact&#39;s postal code
   * @return postalCode
  **/
  @ApiModelProperty(example = "75001", value = "Contact's postal code")
  public String getPostalCode() {
    return postalCode;
  }

  public void setPostalCode(String postalCode) {
    this.postalCode = postalCode;
  }

  public Model267 city(String city) {
    this.city = city;
    return this;
  }

   /**
   * Contact&#39;s city
   * @return city
  **/
  @ApiModelProperty(example = "paris", value = "Contact's city")
  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public Model267 country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Contact&#39;s country, ISO-3166-1 alpha-2 format
   * @return country
  **/
  @ApiModelProperty(example = "FR", value = "Contact's country, ISO-3166-1 alpha-2 format")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public Model267 phoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
    return this;
  }

   /**
   * Contact&#39;s phone number
   * @return phoneNumber
  **/
  @ApiModelProperty(example = "+34698765432", value = "Contact's phone number")
  public String getPhoneNumber() {
    return phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }

  public Model267 mobilePhoneNumber(String mobilePhoneNumber) {
    this.mobilePhoneNumber = mobilePhoneNumber;
    return this;
  }

   /**
   * Contact&#39;s mobile phone number
   * @return mobilePhoneNumber
  **/
  @ApiModelProperty(example = "+34600000000", value = "Contact's mobile phone number")
  public String getMobilePhoneNumber() {
    return mobilePhoneNumber;
  }

  public void setMobilePhoneNumber(String mobilePhoneNumber) {
    this.mobilePhoneNumber = mobilePhoneNumber;
  }

  public Model267 email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Contact&#39;s email
   * @return email
  **/
  @ApiModelProperty(example = "john.doe@dummy.com", value = "Contact's email")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model267 model267 = (Model267) o;
    return Objects.equals(this.title, model267.title) &&
        Objects.equals(this.lastName, model267.lastName) &&
        Objects.equals(this.firstName, model267.firstName) &&
        Objects.equals(this.address, model267.address) &&
        Objects.equals(this.postalCode, model267.postalCode) &&
        Objects.equals(this.city, model267.city) &&
        Objects.equals(this.country, model267.country) &&
        Objects.equals(this.phoneNumber, model267.phoneNumber) &&
        Objects.equals(this.mobilePhoneNumber, model267.mobilePhoneNumber) &&
        Objects.equals(this.email, model267.email);
  }

  @Override
  public int hashCode() {
    return Objects.hash(title, lastName, firstName, address, postalCode, city, country, phoneNumber, mobilePhoneNumber, email);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model267 {\n");
    
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    lastName: ").append(toIndentedString(lastName)).append("\n");
    sb.append("    firstName: ").append(toIndentedString(firstName)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    postalCode: ").append(toIndentedString(postalCode)).append("\n");
    sb.append("    city: ").append(toIndentedString(city)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    phoneNumber: ").append(toIndentedString(phoneNumber)).append("\n");
    sb.append("    mobilePhoneNumber: ").append(toIndentedString(mobilePhoneNumber)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

